## openjdk-lts 11.0.11+8

=== debian/changelog ===
openjdk-lts (11.0.11+8-0ubuntu2) hirsute; urgency=medium

  * OpenJDK 11.0.11+8 build (early access).

  * Sync packages with 11.0.11+8-1:
  * Set DEB_BUILD_MAINT_OPTIONS = optimize=-lto, not yet ready. Looks
    like 16 and 17 are buildable with lto.
  * Remove dangling jfr alternative on upgrades if no jdk is installed (Andreas
    Beckmann). Closes: #985060.
  * Use mktemp instead of tempfile in maintainer scripts (Andreas Beckmann).
  * Backport fix for JDK-8262085, hovering Metal HTML Tooltips in different
    windows cause IllegalArgExc on Linux. Closes: #967049.

 -- Matthias Klose <doko@ubuntu.com>  Thu, 01 Apr 2021 12:31:47 +0200

openjdk-lts (11.0.11+7-0ubuntu1) hirsute; urgency=medium

  * OpenJDK 11.0.11+7 build (early access).

  * Sync packages with 11.0.11+7-1:
  * Simplify compiler selection for backports.
  * Don't use the triplet-prefixed binutils tools for backports.

 -- Matthias Klose <doko@ubuntu.com>  Thu, 18 Mar 2021 10:05:21 +0100

openjdk-lts (11.0.11+4-0ubuntu2) hirsute; urgency=medium

  * Don't build zero on armhf, still fails to build.

 -- Matthias Klose <doko@ubuntu.com>  Sat, 27 Feb 2021 15:35:01 +0100

openjdk-lts (11.0.11+4-0ubuntu1) hirsute; urgency=medium

  * OpenJDK 11.0.11+4 build (early access).

  * Sync packages with 11.0.11+4-1:
  * reproducible-build-jmod.diff: Fall back to the unpatched behavior
    for backports.
  * Only build with system harfbuzz for recent releases.
  * Configure --with-copyright-year. Closes: #956154.

  * Sync packages with 11.0.11+3-3:
  * Fix the build logic, jaotc and jhsdb tools not available on all archs.
  * Ship the jfc files used by jfr.
  * Move libawt_xawt.so, libjawt.so into the jre package. Closes: #908058.

  * Sync packages with 11.0.11+3-2:
  * OpenJDK 11.0.11+3 build (early access).
  * Use debugedit to generate unique build-id's and remove the openjdk-N-dbg
    file conflicts. Closes: #919671.
  * Remove KFreeBSD build support and patches, not updated since OpenJDK 8.
  * Backport JDK-8222825. Closes: #960153.
  * Build with Rules-Requires-Root: no.
  * Move the jfr binary from -jre-headless to -jdk-headless. Development tool.

  * Build zero again on armhf.

 -- Matthias Klose <doko@ubuntu.com>  Fri, 26 Feb 2021 17:01:44 +0100

=== debian/rules ===
#!/usr/bin/make -f
# -*- makefile -*-

# Uncomment this to turn on verbose mode.
#export DH_VERBOSE=1

unexport LANG LC_ALL

dh_version := $(shell dpkg-query -f '$${Version}\n' -W debhelper | sed -n 's/^\(.\).*/\1/p')

# using brace expansion and substring replacements (${var:0:2}).
SHELL = /bin/bash

# use gnu time in verbose mode if available, otherwise default to the shell builtin
ifneq (,$(wildcard /usr/bin/time))
  TIME = /usr/bin/time -v
else
  TIME = time
endif

vafilt = $(subst $(2)=,,$(filter $(2)=%,$(1)))

DPKG_VARS		:= $(shell dpkg-architecture)
DEB_HOST_GNU_TYPE	?= $(call vafilt,$(DPKG_VARS),DEB_HOST_GNU_TYPE)
DEB_BUILD_GNU_TYPE	?= $(call vafilt,$(DPKG_VARS),DEB_BUILD_GNU_TYPE)
DEB_HOST_ARCH		?= $(call vafilt,$(DPKG_VARS),DEB_HOST_ARCH)
DEB_BUILD_ARCH		?= $(call vafilt,$(DPKG_VARS),DEB_BUILD_ARCH)
DEB_HOST_ARCH_CPU	?= $(call vafilt,$(DPKG_VARS),DEB_HOST_ARCH_CPU)
DEB_HOST_MULTIARCH	?= $(call vafilt,$(DPKG_VARS),DEB_HOST_MULTIARCH)

PATH := $(CURDIR)/bin:$(PATH)
export PATH

CHANGELOG_VARS := $(shell dpkg-parsechangelog | sed -n 's/ /_/g;/^[^_]/s/^\([^:]*\):_\(.*\)/\1=\2/p')
PKGSOURCE := $(call vafilt,$(CHANGELOG_VARS),Source)
PKGVERSION := $(call vafilt,$(CHANGELOG_VARS),Version)
PKGYEAR := $(shell echo $(call vafilt,$(CHANGELOG_VARS),Timestamp) | date --utc +%Y)

distribution := $(shell lsb_release --id --short)
distrel := $(shell lsb_release --codename --short)
derivative := $(shell if dpkg-vendor --derives-from Ubuntu; then echo Ubuntu; \
               elif dpkg-vendor --derives-from Debian; then echo Debian; \
               else echo Unknown; fi)
ifeq ($(distrel),n/a)
  distrel := sid
endif

ifneq (,$(filter $(distrel),precise))
  OBJCOPY := objcopy
  STRIP := strip
else
  OBJCOPY := $(DEB_HOST_GNU_TYPE)-objcopy
  STRIP := $(DEB_HOST_GNU_TYPE)-strip
endif

multiarch_dir = /$(DEB_HOST_MULTIARCH)

hotspot_archs	= amd64 i386 arm64 armhf ppc64 ppc64el sparc64 s390x
jtreg_archs	= $(hotspot_archs) alpha ia64 powerpc powerpcspe ppc64 sh4 x32
jtreg_archs	+= armel mipsel mips64el

# FIXME: use bootcycle builds for zero archs?
bootcycle_build = $(if $(filter $(DEB_HOST_ARCH), $(hotspot_archs)),yes)
zbootcycle_build =
ifneq ($(DEB_HOST_ARCH),$(DEB_BUILD_ARCH))
  bootcycle_build =
  zbootcycle_build =
endif
ifneq (,$(filter nobootcycle, $(DEB_BUILD_OPTIONS)))
  bootcycle_build =
  zbootcycle_build =
endif

ifneq (,$(filter $(distrel),lucid precise quantal raring saucy trusty utopic vivid wily lenny etch squeeze wheezy jessie))
  is_default = no
else
  is_default = yes
endif

#is_upstream_release = yes

srcdir		= .
builddir	= build
zbuilddir	= build-zero

VENDOR		= openjdk
Vendor		= OpenJDK
TOP		= usr/lib/jvm
origin		= openjdk
basename	= openjdk-$(shortver)
ifneq (,$(filter $(DEB_HOST_ARCH), $(hotspot_archs)))
  priority	= $(if $(filter yes, $(is_default)),1111,1109)
  vm_name	= Hotspot JIT
else
  priority	= $(if $(filter yes, $(is_default)),1104,1103)
  vm_name	= Hotspot Zero
endif
jvmver		= 1.11.0
shortver	= 11
v_upstream	:= $(shell echo $(PKGVERSION) | sed 's/-[^-]\+$$//')
v_pkgrel	:= $(shell echo $(PKGVERSION) | sed 's/^.*-//')
# sanitize it as --with-version-opt only allows '[a-z][A-Z][0-9].-'
v_pkgrelsan	:= $(shell echo $(v_pkgrel) | tr -c '[a-z][A-Z][0-9].\n-' '.')
v_upbase	:= $(word 1, $(subst +, , $(v_upstream)))
v_upbuild	:= $(word 2, $(subst +, , $(v_upstream)))

# that should be the package version ...
ifneq ($(PKGVERSION),$(v_upbase)+$(v_upbuild)-$(v_pkgrel))
  $(error wrong version: $(v_upbase)+$(v_upbuild)-$(v_pkgrel) should be: $(PKGVERSION))
endif

ifneq (,$(DEB_HOST_MULTIARCH))
  jdirname	= java-$(shortver)-$(origin)-$(DEB_HOST_ARCH)
  jdiralias	= java-$(jvmver)-$(origin)-$(DEB_HOST_ARCH)
  basedir	= $(TOP)/$(jdirname)
  commonbasedir	= $(TOP)/java-$(shortver)-$(origin)-common
  commonbasedir	= $(basedir)
  etcdir	= etc/java-$(shortver)-$(origin)
else
  jdirname	= java-$(shortver)-$(origin)
  jdiralias	= java-$(jvmver)-$(origin)
  basedir	= $(TOP)/$(jdirname)
  commonbasedir	= $(TOP)/java-$(shortver)-$(origin)
  etcdir	= etc/$(jdirname)
endif
security	= $(etcdir)/security
ifeq ($(bootcycle_build),yes)
  sdkimg	= bootcycle-build/images/jdk
  build_target	= bootcycle-images test-image
else
  sdkimg	= images/jdk
  build_target	= images test-image
endif
ifeq ($(zbootcycle_build),yes)
  zsdkimg	= bootcycle-build/images/jdk
  zbuild_target	= bootcycle-images test-image
else
  zsdkimg	= images/jdk
  zbuild_target	= images test-image
endif

# Support parallel=<n> in DEB_BUILD_OPTIONS (see #209008)
COMMA=,
SPACE = $(EMPTY) $(EMPTY)
ifneq (,$(filter parallel=%,$(subst $(COMMA), ,$(DEB_BUILD_OPTIONS))))
  NJOBS = $(subst parallel=,,$(filter parallel=%,$(subst $(COMMA), ,$(DEB_BUILD_OPTIONS))))
endif

with_check = $(if $(findstring nocheck, $(DEB_BUILD_OPTIONS)),,yes)
# see Debian #920161
ifneq (,$(filter $(DEB_HOST_ARCH), alpha))
  with_check = disabled running check on $(DEB_HOST_ARCH)
endif
# no jtreg backport yet
ifneq (,$(filter $(distrel), precise trusty xenial))
  with_check = disabled for $(distrel)
endif

with_docs = $(if $(findstring nodoc, $(DEB_BUILD_OPTIONS)),,yes)
ifneq (,$(filter $(distrel), precise trusty))
  with_docs =
endif

with_wqy_zenhai = $(if $(filter $(distrel),lenny),,yes)

arch_map	:= alpha=alpha arm=arm armel=arm armhf=arm arm64=aarch64 amd64=amd64 hppa=parisc i386=i586 m68k=m68k mips=mips mipsel=mipsel mips64=mips64 mips64el=mips64el powerpc=ppc powerpcspe=ppc ppc64=ppc64 ppc64el=ppc64le riscv64=riscv64 sparc=sparc sparc64=sparcv9 sh4=sh s390x=s390x ia64=ia64 x32=x32

jvmarch		:= $(strip $(patsubst $(DEB_HOST_ARCH_CPU)=%, %, \
			$(filter $(DEB_HOST_ARCH_CPU)=%, $(arch_map))))
ifeq ($(DEB_HOST_ARCH),x32)
  jvmarch := x32
endif

default_vm = $(if $(filter $(DEB_HOST_ARCH), $(hotspot_archs)),hotspot,zero)

any_archs = alpha amd64 armel armhf arm64 i386 ia64 mips mipsel mips64 mips64el powerpc powerpcspe ppc64 ppc64el m68k riscv64 sh4 sparc sparc64 s390x x32

altzero_archs = $(hotspot_archs)
#ifneq (,$(filter $(distrel),trusty))
#  altzero_archs := $(filter-out arm64, $(altzero_archs))
#endif

# FIXME: Zero currently FTBFS on sparc64 with gcc-9
altzero_archs := $(filter-out sparc64, $(altzero_archs))

# ftbfs in 11.0.5+bx, and 13+17
altzero_archs := $(filter-out armhf, $(altzero_archs))

ifneq (,$(filter noaltzero, $(DEB_BUILD_OPTIONS)))
  altzero_archs =
else ifneq (,$(filter $(DEB_HOST_ARCH), $(altzero_archs)))
  alternate_vms += zero
  zero_dir = zero
endif

# needed for the jexec build
export DEBIAN_JDK_BASE_DIR := /$(basedir)

BOOTJDK_HOME := $(strip $(subst /bin/javac,, $(firstword $(wildcard \
			/usr/lib/jvm/java-10-openjdk-$(DEB_BUILD_ARCH)/bin/javac \
			/usr/lib/jvm/java-11-openjdk-$(DEB_BUILD_ARCH)/bin/javac \
		))))

ifeq ($(DEB_BUILD_ARCH),$(DEB_HOST_ARCH))
  BUILDJDK_HOME = $(CURDIR)/$(builddir)/$(sdkimg)
else
  BUILDJDK_HOME = $(BOOTJDK_HOME)
endif

# for Hotspot: hotspot/make/linux/makefiles/vm.make
# Don't overwrite Hotspot opt level :
# -O3 is already default option for hotspot

# FIXME: ftbfs with -Werror=format-security
dpkg_buildflags_hs = \
	DEB_BUILD_MAINT_OPTIONS="optimize=-lto" \
	DEB_CFLAGS_MAINT_STRIP="-O2 -Werror=format-security" \
	DEB_CXXFLAGS_MAINT_STRIP="-O2 -Werror=format-security" \
	DEB_CFLAGS_MAINT_APPEND="-fno-stack-protector -Wno-deprecated-declarations" \
	DEB_CXXFLAGS_MAINT_APPEND="-fno-stack-protector -Wno-deprecated-declarations$(if $(filter $(DEB_HOST_ARCH), armel armhf), -fpermissive)"
# jdk/make/CompileDemos.gmk (SetupJVMTIDemo) doesn't like commas in flags
dpkg_buildflags_hs += \
	DEB_LDFLAGS_MAINT_STRIP="-Wl,-z,relro -Wl,-Bsymbolic-functions" \
	DEB_LDFLAGS_MAINT_APPEND="-Xlinker -z -Xlinker relro -Xlinker -Bsymbolic-functions"
dpkg_buildflags_hs += dpkg-buildflags
export EXTRA_CPPFLAGS_HS := $(shell $(dpkg_buildflags_hs) --get CPPFLAGS)
export EXTRA_CFLAGS_HS   := $(shell $(dpkg_buildflags_hs) --get CFLAGS; $(dpkg_buildflags_hs) --get CPPFLAGS)
export EXTRA_CXXFLAGS_HS := $(shell $(dpkg_buildflags_hs) --get CXXFLAGS) -Wno-deprecated-declarations

## openjdk-lts 11.0.11+9

=== debian/changelog ===
openjdk-lts (11.0.11+9-0ubuntu2~20.10) groovy-security; urgency=medium

  * Backport the security update to 20.10.

 -- Matthias Klose <doko@ubuntu.com>  Wed, 21 Apr 2021 11:15:32 +0200

openjdk-lts (11.0.11+9-0ubuntu2) hirsute; urgency=medium

  * OpenJDK 11.0.11+9 build (release).
  * Security fixes:
    - JDK-8244473: Contextualize registration for JNDI.
    - JDK-8244543: Enhanced handling of abstract classes.
    - JDK-8250568: Less ambiguous processing (CVE-2021-2161).
    - JDK-8253799: Make lists of normal filenames.
    - JDK-8249906: Enhance opening JARs (CVE-2021-2163).
    - JDK-8257001: Improve HTTP client support.
  * Mark the build as an upstream release.

 -- Matthias Klose <doko@ubuntu.com>  Wed, 21 Apr 2021 10:55:38 +0200

=== debian/control ===
Source: openjdk-lts
Section: java
Priority: optional
Maintainer: Ubuntu Developers <ubuntu-devel-discuss@lists.ubuntu.com>
XSBC-Original-Maintainer: OpenJDK Team <openjdk@lists.launchpad.net>
Uploaders: Matthias Klose <doko@ubuntu.com>
Build-Depends: debhelper (>= 11),
  m4, lsb-release, zip, unzip,
  sharutils, gawk, cpio, pkg-config, procps, wdiff, fastjar (>= 2:0.96-0ubuntu2),
  time, strip-nondeterminism, 
  jtreg (>= 4.2-b13-0~) <!nocheck>, testng <!nocheck>, xvfb <!nocheck>, xauth <!nocheck>, xfonts-base <!nocheck>, libgl1-mesa-dri [!x32] <!nocheck>, xfwm4 <!nocheck>, x11-xkb-utils <!nocheck>, dbus-x11 <!nocheck>,
  autoconf, automake, autotools-dev, ant, ant-optional,
  g++-10 <!cross>,
  openjdk-11-jdk-headless:native | openjdk-10-jdk-headless:native,
  libxtst-dev, libxi-dev, libxt-dev, libxaw7-dev, libxrender-dev, libcups2-dev, libasound2-dev, liblcms2-dev, libfreetype6-dev (>= 2.2.1), libxinerama-dev, libkrb5-dev, xsltproc, libpcsclite-dev, libxrandr-dev, libelf-dev, libfontconfig1-dev, libgtk2.0-0 | libgtk-3-0, libharfbuzz-dev,
  libffi-dev,
  zlib1g-dev:native, zlib1g-dev, libattr1-dev, libpng-dev, libjpeg-dev, libgif-dev, 
  libnss3-dev (>= 2:3.17.1),
  openjdk-11-jdk-headless <cross>,
Build-Depends-Indep: graphviz, pandoc,
Standards-Version: 4.5.1
Rules-Requires-Root: no
Homepage: https://openjdk.java.net/
Vcs-Browser: https://git.launchpad.net/~openjdk/ubuntu/+source/openjdk/+git/openjdk/log/?h=openjdk-lts/ubuntu/hirsute
Vcs-Git: https://git.launchpad.net/~openjdk/ubuntu/+source/openjdk/+git/openjdk -b openjdk-lts/ubuntu/hirsute

Package: openjdk-11-jdk-headless
Architecture: alpha amd64 armel armhf arm64 i386 ia64 mips mipsel mips64 mips64el powerpc powerpcspe ppc64 ppc64el m68k riscv64 sh4 sparc sparc64 s390x x32
Multi-Arch: same
Pre-Depends: ${dpkg:Depends}
Depends: openjdk-11-jre-headless (= ${binary:Version}),
  ${shlibs:Depends}, ${misc:Depends}
Suggests: openjdk-11-demo, openjdk-11-source
Provides: java-sdk-headless, java2-sdk-headless,
  java5-sdk-headless, java6-sdk-headless,
  java7-sdk-headless, java8-sdk-headless,
  java9-sdk-headless, java10-sdk-headless,
  java11-sdk-headless, java-compiler
Breaks: openjdk-11-jre-headless (<< 11.0.11+3-2~)
Replaces: openjdk-11-jre-headless (<< 11.0.11+3-2~)
Description: OpenJDK Development Kit (JDK) (headless)
 OpenJDK is a development environment for building applications,
 applets, and components using the Java programming language.

Package: openjdk-11-jre-headless
Architecture: alpha amd64 armel armhf arm64 i386 ia64 mips mipsel mips64 mips64el powerpc powerpcspe ppc64 ppc64el m68k riscv64 sh4 sparc sparc64 s390x x32
Multi-Arch: same
Pre-Depends: ${dpkg:Depends}
Depends: ${jredefault:Depends}, ${cacert:Depends},
  ${jcommon:Depends}, ${dlopenhl:Depends},
  ${mountpoint:Depends},
  ${shlibs:Depends}, ${misc:Depends}
Recommends: ${dlopenhl:Recommends}
Suggests: libnss-mdns,
  fonts-dejavu-extra,
  fonts-ipafont-gothic, fonts-ipafont-mincho, fonts-wqy-microhei | fonts-wqy-zenhei, fonts-indic,
Provides: java-runtime-headless, java2-runtime-headless,
  java5-runtime-headless, java6-runtime-headless,
  java7-runtime-headless, java8-runtime-headless,
  java9-runtime-headless, java10-runtime-headless,
  java11-runtime-headless,
  ${defaultvm:Provides}, ${jvm:Provides}
Breaks: ${jrehl:Breaks}
Conflicts: oracle-java11-installer, openjdk-11-jdk-headless (<< 11~18-2)
Replaces: openjdk-11-jdk-headless (<< 11~18-2)
Description: OpenJDK Java runtime, using ${vm:Name} (headless)
 Minimal Java runtime - needed for executing non GUI Java programs,
 using ${vm:Name}.

Package: openjdk-11-jdk
Architecture: alpha amd64 armel armhf arm64 i386 ia64 mips mipsel mips64 mips64el powerpc powerpcspe ppc64 ppc64el m68k riscv64 sh4 sparc sparc64 s390x x32
Multi-Arch: same
Pre-Depends: ${dpkg:Depends}
Depends: openjdk-11-jre (= ${binary:Version}),
  openjdk-11-jdk-headless (= ${binary:Version}),
  ${shlibs:Depends}, ${misc:Depends}
Recommends: libxt-dev
Suggests: openjdk-11-demo, openjdk-11-source, visualvm
Provides: java-sdk, java2-sdk, java5-sdk, java6-sdk,
  java7-sdk, java8-sdk, java9-sdk, java10-sdk, java11-sdk,
  java-compiler
Conflicts: openjdk-11-jre-headless (<< 11~19-2)
Replaces: openjdk-11-jre-headless (<< 11~19-2)
Description: OpenJDK Development Kit (JDK)
 OpenJDK is a development environment for building applications,
 applets, and components using the Java programming language.

Package: openjdk-11-jre
Architecture: alpha amd64 armel armhf arm64 i386 ia64 mips mipsel mips64 mips64el powerpc powerpcspe ppc64 ppc64el m68k riscv64 sh4 sparc sparc64 s390x x32
Multi-Arch: same
Pre-Depends: ${dpkg:Depends}
Depends: openjdk-11-jre-headless (= ${binary:Version}),
  ${xandsound:Depends}, ${dlopenjre:Depends},
  ${shlibs:Depends}, ${misc:Depends}
Recommends: ${dlopenjre:Recommends}, ${bridge:Recommends}, fonts-dejavu-extra
Provides: java-runtime, java2-runtime,
  java5-runtime, java6-runtime,
  java7-runtime, java8-runtime,
  java9-runtime, java10-runtime,
  java11-runtime,
Breaks: openjdk-11-jre-headless (<< 11.0.11+3-3~)
Replaces: openjdk-11-jre-headless (<< 11.0.11+3-3~)
Description: OpenJDK Java runtime, using ${vm:Name}
 Full Java runtime environment - needed for executing Java GUI and Webstart
 programs, using ${vm:Name}.

Package: openjdk-11-demo
Architecture: alpha amd64 armel armhf arm64 i386 ia64 mips mipsel mips64 mips64el powerpc powerpcspe ppc64 ppc64el m68k riscv64 sh4 sparc sparc64 s390x x32
Priority: optional
Pre-Depends: ${dpkg:Depends}
Depends: openjdk-11-jre (= ${binary:Version}),
  ${shlibs:Depends}, ${misc:Depends}
Description: Java runtime based on OpenJDK (demos and examples)
 OpenJDK Java runtime

Package: openjdk-11-source
Architecture: all
Multi-Arch: foreign
Priority: optional
Pre-Depends: ${dpkg:Depends}
Depends: openjdk-11-jdk (>= ${source:Version}),
  ${misc:Depends}
Description: OpenJDK Development Kit (JDK) source files
 OpenJDK is a development environment for building applications,
 applets, and components using the Java programming language.
 .
 This package contains the Java programming language source files
 (src.zip) for all classes that make up the Java core API.

Package: openjdk-11-doc
Section: doc
Pre-Depends: ${dpkg:Depends}
Architecture: all
Multi-Arch: foreign
Priority: optional
Depends: ${misc:Depends}
Suggests: openjdk-11-jdk
Description: OpenJDK Development Kit (JDK) documentation
 OpenJDK is a development environment for building applications,
 applets, and components using the Java programming language.
 .
 This package contains the API documentation.

Package: openjdk-11-dbg
Architecture: alpha amd64 armel armhf arm64 i386 ia64 mips mipsel mips64 mips64el powerpc powerpcspe ppc64 ppc64el m68k riscv64 sh4 sparc sparc64 s390x x32
Multi-Arch: same
Priority: optional
Section: debug
Pre-Depends: ${dpkg:Depends}
Depends: openjdk-11-jre-headless (= ${binary:Version}),
   ${misc:Depends}
Recommends: openjdk-11-jre (= ${binary:Version})
Suggests: openjdk-11-jdk (= ${binary:Version})
Conflicts: ${dbg:Conflicts}
Description: Java runtime based on OpenJDK (debugging symbols)
 OpenJDK is a development environment for building applications,
 applets, and components using the Java programming language.
 .
 This package contains the debugging symbols.

Package: openjdk-11-jre-zero
Architecture: amd64 i386 arm64 ppc64 ppc64el s390x
Multi-Arch: same
Priority: optional
Pre-Depends: ${dpkg:Depends}
Depends: openjdk-11-jre-headless (= ${binary:Version}), ${shlibs:Depends}, ${misc:Depends}
Provides: ${zerovm:Provides}
Description: Alternative JVM for OpenJDK, using Zero
 The package provides an alternative runtime using the Zero VM. Built on
 architectures in addition to the Hotspot VM as a debugging aid for those
 architectures which don't have a Hotspot VM.
 .
 The VM is started with the option `-zero'. See the README.Debian for details.

=== debian/rules ===
--- 
+++ 
@@ -77,7 +77,7 @@
   is_default = yes
 endif
 
-#is_upstream_release = yes
+is_upstream_release = yes
 
 srcdir		= .
 builddir	= build

## openjdk-lts 11.0.12+7

=== debian/changelog ===
openjdk-lts (11.0.12+7-0ubuntu3) impish; urgency=medium

  * Work around ftbfs in StackGuardPages test with glibc 2.34.

 -- Matthias Klose <doko@ubuntu.com>  Sat, 14 Aug 2021 14:38:05 +0200

openjdk-lts (11.0.12+7-0ubuntu2) impish; urgency=high

  * OpenJDK 11.0.12+7 build (release).
  * Security fixes:
    - JDK-8256157: Improve bytecode assembly.
    - JDK-8256491: Better HTTP transport.
    - JDK-8258432, CVE-2021-2341: Improve file transfers.
    - JDK-8260453: Improve Font Bounding.
    - JDK-8260960: Signs of jarsigner signing.
    - JDK-8260967, CVE-2021-2369: Better jar file validation.
    - JDK-8262380: Enhance XML processing passes.
    - JDK-8262403: Enhanced data transfer.
    - JDK-8262410: Enhanced rules for zones.
    - JDK-8262477: Enhance String Conclusions.
    - JDK-8262967: Improve Zip file support.
    - JDK-8264066, CVE-2021-2388: Enhance compiler validation.
    - JDK-8264079: Improve abstractions.
    - JDK-8264460: Improve NTLM support.
  * Sync packages with 11.0.12+7-2:
    - Encode the early-access status into the package version. LP: #1934895.

 -- Matthias Klose <doko@ubuntu.com>  Fri, 30 Jul 2021 15:36:30 +0200

openjdk-lts (11.0.12+6-0ubuntu1) impish; urgency=medium

  * OpenJDK 11.0.12+6 build (early access).

  * Sync packages with 11.0.12+6-1:

 -- Matthias Klose <doko@ubuntu.com>  Wed, 07 Jul 2021 12:45:19 +0200

openjdk-lts (11.0.12+4-0ubuntu2) impish; urgency=medium

  * OpenJDK 11.0.12+4 build (early access).

  * Sync packages with 11.0.11+9-1:
  * Don't apply the m68k-support patch, needs an update.

 -- Matthias Klose <doko@ubuntu.com>  Thu, 27 May 2021 12:41:33 +0200

=== debian/control ===
--- 
+++ 
@@ -7,7 +7,7 @@
 Build-Depends: debhelper (>= 11),
   m4, lsb-release, zip, unzip,
   sharutils, gawk, cpio, pkg-config, procps, wdiff, fastjar (>= 2:0.96-0ubuntu2),
-  time, strip-nondeterminism, 
+  time, strip-nondeterminism, debugedit (>= 4.16),
   jtreg (>= 4.2-b13-0~) <!nocheck>, testng <!nocheck>, xvfb <!nocheck>, xauth <!nocheck>, xfonts-base <!nocheck>, libgl1-mesa-dri [!x32] <!nocheck>, xfwm4 <!nocheck>, x11-xkb-utils <!nocheck>, dbus-x11 <!nocheck>,
   autoconf, automake, autotools-dev, ant, ant-optional,
   g++-10 <!cross>,

=== debian/tests/control ===
Tests: hotspot, jaxp, langtools
Depends: @, default-jre-headless, jtreg:native (>= 4.2-b13-0~), testng:native, build-essential
Restrictions: allow-stderr, skippable, flaky

Tests: jdk
Depends: @, default-jre-headless, jtreg:native (>= 4.2-b13-0~), testng:native, build-essential, xfwm4:native, xvfb, dbus-x11, zip
Restrictions: allow-stderr, skippable, flaky

## openjdk-lts 11.0.13+8

=== debian/changelog ===
openjdk-lts (11.0.13+8-0ubuntu1~21.04) hirsute-security; urgency=medium

  * Backport the security update to 21.04.

 -- Matthias Klose <doko@ubuntu.com>  Fri, 29 Oct 2021 11:11:30 +0200

openjdk-lts (11.0.13+8-0ubuntu1) jammy; urgency=medium

  * OpenJDK 11.0.13+8 build (release).
  * Security fixes
    - JDK-8163326, CVE-2021-35550: Update the default enabled cipher suites
      preference.
    - JDK-8254967, CVE-2021-35565: com.sun.net.HttpsServer spins on TLS
      session close.
    - JDK-8263314: Enhance XML Dsig modes.
    - JDK-8265167, CVE-2021-35556: Richer Text Editors.
    - JDK-8265574: Improve handling of sheets.
    - JDK-8265580, CVE-2021-35559: Enhanced style for RTF kit.
    - JDK-8265776: Improve Stream handling for SSL.
    - JDK-8266097, CVE-2021-35561: Better hashing support.
    - JDK-8266103: Better specified spec values.
    - JDK-8266109: More Resilient Classloading.
    - JDK-8266115: More Manifest Jar Loading.
    - JDK-8266137, CVE-2021-35564: Improve Keystore integrity.
    - JDK-8266689, CVE-2021-35567: More Constrained Delegation.
    - JDK-8267086: ArrayIndexOutOfBoundsException in
      java.security.KeyFactory.generatePublic.
    - JDK-8267712: Better LDAP reference processing.
    - JDK-8267729, CVE-2021-35578: Improve TLS client handshaking.
    - JDK-8267735, CVE-2021-35586: Better BMP support.
    - JDK-8268193: Improve requests of certificates.
    - JDK-8268199: Correct certificate requests.
    - JDK-8268205: Enhance DTLS client handshake.
    - JDK-8268506: More Manifest Digests.
    - JDK-8269618, CVE-2021-35603: Better session identification.
    - JDK-8269624: Enhance method selection support.
    - JDK-8270398: Enhance canonicalization.
    - JDK-8270404: Better canonicalization.
  * Sync packages with 11.0.13+8-1:
    - Remove patches applied upstream.

 -- Matthias Klose <doko@ubuntu.com>  Wed, 20 Oct 2021 11:47:05 +0200

=== debian/control ===
--- 
+++ 
@@ -8,7 +8,7 @@
   m4, lsb-release, zip, unzip,
   sharutils, gawk, cpio, pkg-config, procps, wdiff, fastjar (>= 2:0.96-0ubuntu2),
   time, strip-nondeterminism, debugedit (>= 4.16),
-  jtreg (>= 4.2-b13-0~) <!nocheck>, testng <!nocheck>, xvfb <!nocheck>, xauth <!nocheck>, xfonts-base <!nocheck>, libgl1-mesa-dri [!x32] <!nocheck>, xfwm4 <!nocheck>, x11-xkb-utils <!nocheck>, dbus-x11 <!nocheck>,
+  jtreg (>= 5.1-b1-0~) <!nocheck>, testng <!nocheck>, xvfb <!nocheck>, xauth <!nocheck>, xfonts-base <!nocheck>, libgl1-mesa-dri [!x32] <!nocheck>, xfwm4 <!nocheck>, x11-xkb-utils <!nocheck>, dbus-x11 <!nocheck>,
   autoconf, automake, autotools-dev, ant, ant-optional,
   g++-10 <!cross>,
   openjdk-11-jdk-headless:native | openjdk-10-jdk-headless:native,

## openjdk-lts 11.0.14.1%2B1

=== debian/watch ===
version=4
opts="" \
https://github.com/openjdk/jdk11u/tags \
.*/jdk-([0-9.]*\+[0-9]*).tar.gz

## openjdk-lts 11.0.14.1+1

=== nss/lib/certdb/Makefile ===
#! gmake
#
# This Source Code Form is subject to the terms of the Mozilla Public
# License, v. 2.0. If a copy of the MPL was not distributed with this
# file, You can obtain one at http://mozilla.org/MPL/2.0/.

#######################################################################
# (1) Include initial platform-independent assignments (MANDATORY).   #
#######################################################################

include manifest.mn

#######################################################################
# (2) Include "global" configuration information. (OPTIONAL)          #
#######################################################################

include $(CORE_DEPTH)/coreconf/config.mk

#######################################################################
# (3) Include "component" configuration information. (OPTIONAL)       #
#######################################################################



#######################################################################
# (4) Include "local" platform-dependent assignments (OPTIONAL).      #
#######################################################################

include config.mk

#######################################################################
# (5) Execute "global" rules. (OPTIONAL)                              #
#######################################################################

include $(CORE_DEPTH)/coreconf/rules.mk

#######################################################################
# (6) Execute "component" rules. (OPTIONAL)                           #
#######################################################################



#######################################################################
# (7) Execute "local" rules. (OPTIONAL).                              #
#######################################################################

export:: private_export

=== debian/changelog ===
openjdk-lts (11.0.14.1+1-0ubuntu1) jammy; urgency=medium

  * OpenJDK 11.0.14.1+1 build (release).
    - Fix JDK-8218546. LP: #1966338.

 -- Matthias Klose <doko@ubuntu.com>  Sun, 27 Mar 2022 11:32:03 +0200

openjdk-lts (11.0.14+9-0ubuntu2) jammy; urgency=medium

  * OpenJDK 11.0.14+9 build (release).
  * Security fixes
    - JDK-8217375: jarsigner breaks old signature with long lines in manifest.
    - JDK-8251329: (zipfs) Files.walkFileTree walks infinitely if zip has dir
      named "." inside.
    - JDK-8264934, CVE-2022-21248: Enhance cross VM serialization.
    - JDK-8268488: More valuable DerValues.
    - JDK-8268494: Better inlining of inlined interfaces.
    - JDK-8268512: More content for ContentInfo.
    - JDK-8268795: Enhance digests of Jar files.
    - JDK-8268801: Improve PKCS attribute handling.
    - JDK-8268813, CVE-2022-21283: Better String matching.
    - JDK-8269151: Better construction of EncryptedPrivateKeyInfo.
    - JDK-8269944: Better HTTP transport redux.
    - JDK-8270386, CVE-2022-21291: Better verification of scan methods.
    - JDK-8270392, CVE-2022-21293: Improve String constructions.
    - JDK-8270416, CVE-2022-21294: Enhance construction of Identity maps.
    - JDK-8270492, CVE-2022-21282: Better resolution of URIs.
    - JDK-8270498, CVE-2022-21296: Improve SAX Parser configuration management.
    - JDK-8270646, CVE-2022-21299: Improved scanning of XML entities.
    - JDK-8270952, CVE-2022-21277: Improve TIFF file handling.
    - JDK-8271962: Better TrueType font loading.
    - JDK-8271968: Better canonical naming.
    - JDK-8271987: Manifest improved manifest entries.
    - JDK-8272014, CVE-2022-21305: Better array indexing.
    - JDK-8272026, CVE-2022-21340: Verify Jar Verification.
    - JDK-8272236, CVE-2022-21341: Improve serial forms for transport.
    - JDK-8272272: Enhance jcmd communication.
    - JDK-8272462: Enhance image handling.
    - JDK-8273290: Enhance sound handling.
    - JDK-8273756, CVE-2022-21360: Enhance BMP image support.
    - JDK-8273838, CVE-2022-21365: Enhanced BMP processing.
    - JDK-8274096, CVE-2022-21366: Improve decoding of image files.
    - JDK-8279541: Improve HarfBuzz.

 -- Matthias Klose <doko@ubuntu.com>  Wed, 19 Jan 2022 10:24:04 +0100

=== debian/control ===
--- 
+++ 
@@ -10,7 +10,7 @@
   time, strip-nondeterminism, debugedit (>= 4.16),
   jtreg (>= 5.1-b1-0~) <!nocheck>, testng <!nocheck>, xvfb <!nocheck>, xauth <!nocheck>, xfonts-base <!nocheck>, libgl1-mesa-dri [!x32] <!nocheck>, xfwm4 <!nocheck>, x11-xkb-utils <!nocheck>, dbus-x11 <!nocheck>,
   autoconf, automake, autotools-dev, ant, ant-optional,
-  g++-10 <!cross>,
+  g++-11 <!cross>,
   openjdk-11-jdk-headless:native | openjdk-10-jdk-headless:native,
   libxtst-dev, libxi-dev, libxt-dev, libxaw7-dev, libxrender-dev, libcups2-dev, libasound2-dev, liblcms2-dev, libfreetype6-dev (>= 2.2.1), libxinerama-dev, libkrb5-dev, xsltproc, libpcsclite-dev, libxrandr-dev, libelf-dev, libfontconfig1-dev, libgtk2.0-0 | libgtk-3-0, libharfbuzz-dev,
   libffi-dev,

=== debian/tests/control ===
Tests: hotspot, jaxp, langtools
Depends: @, default-jre-headless, jtreg:native (>= 5.1-b1-0~), testng:native, build-essential
Restrictions: allow-stderr, skippable, flaky

Tests: jdk
Depends: @, default-jre-headless, jtreg:native (>= 5.1-b1-0~), testng:native, build-essential, xfwm4:native, xvfb, dbus-x11, zip
Restrictions: allow-stderr, skippable, flaky

## openjdk-lts 11.0.15+10

=== debian/changelog ===
openjdk-lts (11.0.15+10-0ubuntu0.21.10.1) impish-security; urgency=medium

  * Backport 11.0.15 to Ubuntu 21.10.

 -- Marc Deslauriers <marc.deslauriers@ubuntu.com>  Sat, 23 Apr 2022 09:02:10 -0400

openjdk-lts (11.0.15+10-0ubuntu0.22.04.1) jammy-security; urgency=medium

  * OpenJDK 11.0.15+10 build (release).
    - CVE-2022-21476, CVE-2022-21496, CVE-2022-21434, CVE-2022-21426,
      CVE-2022-21443

 -- Marc Deslauriers <marc.deslauriers@ubuntu.com>  Fri, 22 Apr 2022 09:06:53 -0400

## openjdk-lts 11.0.16+8

=== debian/changelog ===
openjdk-lts (11.0.16+8-0ubuntu1) kinetic; urgency=high

  * OpenJDK 11.0.16+8 build (release).

 -- Matthias Klose <doko@ubuntu.com>  Wed, 20 Jul 2022 13:27:22 +0200

## openjdk-lts 11.0.17+8

=== debian/changelog ===
openjdk-lts (11.0.17+8-1ubuntu2~20.04) focal-security; urgency=medium

  * Build 11.0.17+8 for Ubuntu 20.04 LTS.

 -- Matthias Klose <doko@ubuntu.com>  Tue, 25 Oct 2022 11:30:51 +0200

openjdk-lts (11.0.17+8-1ubuntu2) kinetic-security; urgency=medium

  * OpenJDK 11.0.17 release, build 8.
  * Security fixes
    - JDK-8289366: Improve HTTP/2 client usage.
    - JDK-8288508: Enhance ECDSA usage.
    - JDK-8286918: Better HttpServer service.
    - JDK-8287446: Enhance icon presentations.
    - JDK-8286910: Improve JNDI lookups.
    - JDK-8286511: Improve macro allocation.
    - JDK-8286526: Improve NTLM support.
    - JDK-8286533: Key X509 usages.
    - JDK-8286077: Wider MultiByte conversions.
    - JDK-8286519: Better memory handling.
    - JDK-8285662: Better permission resolution.
    - JDK-8282252: Improve BigInteger/Decimal validation.
  * Sync packages with 11.0.13+8-1:
    - Build using GCC 12 in recent development distros.
    - Don't install the security/blacklisted.certs symlink anymore.
      Closes: #1021866.
    - Remove patches applied upstream.

 -- Matthias Klose <doko@ubuntu.com>  Mon, 24 Oct 2022 17:39:49 +0200

=== debian/control ===
--- 
+++ 
@@ -7,10 +7,10 @@
 Build-Depends: debhelper (>= 11),
   m4, lsb-release, zip, unzip,
   sharutils, gawk, cpio, pkg-config, procps, wdiff, fastjar (>= 2:0.96-0ubuntu2),
-  time, strip-nondeterminism, debugedit (>= 4.16),
-  jtreg (>= 5.1-b1-0~) <!nocheck>, testng <!nocheck>, xvfb <!nocheck>, xauth <!nocheck>, xfonts-base <!nocheck>, libgl1-mesa-dri [!x32] <!nocheck>, xfwm4 <!nocheck>, x11-xkb-utils <!nocheck>, dbus-x11 <!nocheck>,
+  time, strip-nondeterminism, 
+  jtreg6 (>= 6+1-0~) <!nocheck>, testng <!nocheck>, xvfb <!nocheck>, xauth <!nocheck>, xfonts-base <!nocheck>, libgl1-mesa-dri [!x32] <!nocheck>, xfwm4 <!nocheck>, x11-xkb-utils <!nocheck>, dbus-x11 <!nocheck>,
   autoconf, automake, autotools-dev, ant, ant-optional,
-  g++-11 <!cross>,
+  g++-9 <!cross>,
   openjdk-11-jdk-headless:native | openjdk-10-jdk-headless:native,
   libxtst-dev, libxi-dev, libxt-dev, libxaw7-dev, libxrender-dev, libcups2-dev, libasound2-dev, liblcms2-dev, libfreetype6-dev (>= 2.2.1), libxinerama-dev, libkrb5-dev, xsltproc, libpcsclite-dev, libxrandr-dev, libelf-dev, libfontconfig1-dev, libgtk2.0-0 | libgtk-3-0, libharfbuzz-dev,
   libffi-dev,

=== debian/rules ===
--- 
+++ 
@@ -97,17 +97,22 @@
 endif
 jvmver		= 1.11.0
 shortver	= 11
-v_upstream	:= $(shell echo $(PKGVERSION) | sed 's/-[^-]\+$$//')
-v_pkgrel	:= $(shell echo $(PKGVERSION) | sed 's/^.*-//')
-# sanitize it as --with-version-opt only allows '[a-z][A-Z][0-9].-'
-v_pkgrelsan	:= $(shell echo $(v_pkgrel) | tr -c '[a-z][A-Z][0-9].\n-' '.')
+v_debian	:= $(shell echo $(PKGVERSION) | sed 's/ea//')
+v_upstream	:= $(shell echo $(v_debian) | sed 's/-[^-][^-]*$$//')
+v_pkgrel	:= $(shell echo $(v_debian) | sed 's/^.*-//')
+# FIXME. currently v_upstream like 11~4
 v_upbase	:= $(word 1, $(subst +, , $(v_upstream)))
 v_upbuild	:= $(word 2, $(subst +, , $(v_upstream)))
-
+#v_upbase	:= $(word 1, $(subst ~, , $(v_upstream)))
+#v_upbuild	:= $(word 2, $(subst ~, , $(v_upstream)))
 # that should be the package version ...
-ifneq ($(PKGVERSION),$(v_upbase)+$(v_upbuild)-$(v_pkgrel))
-  $(error wrong version: $(v_upbase)+$(v_upbuild)-$(v_pkgrel) should be: $(PKGVERSION))
-endif
+
+ifneq ($(v_debian),$(v_upbase)+$(v_upbuild)-$(v_pkgrel))
+  $(error wrong version: $(v_upbase)+$(v_upbuild)-$(v_pkgrel) should be: $(v_debian))
+endif
+#ifneq ($(v_debian),$(v_upbase)~$(v_upbuild)-$(v_pkgrel))
+#  $(error wrong version: $(v_upbase)~$(v_upbuild)-$(v_pkgrel) should be: $(v_debian))
+#endif
 
 ifneq (,$(DEB_HOST_MULTIARCH))
   jdirname	= java-$(shortver)-$(origin)-$(DEB_HOST_ARCH)
@@ -146,13 +151,21 @@
   NJOBS = $(subst parallel=,,$(filter parallel=%,$(subst $(COMMA), ,$(DEB_BUILD_OPTIONS))))
 endif
 
+ifneq (,$(filter $(distrel), focal jammy kinetic))
+  jtreg_pkg = jtreg6
+else ifneq (,$(filter $(distrel), sid bookworm bullseye))
+  jtreg_pkg = jtreg
+else
+  jtreg_pkg =
+endif
+
 with_check = $(if $(findstring nocheck, $(DEB_BUILD_OPTIONS)),,yes)
 # see Debian #920161
 ifneq (,$(filter $(DEB_HOST_ARCH), alpha))
   with_check = disabled running check on $(DEB_HOST_ARCH)
 endif
 # no jtreg backport yet
-ifneq (,$(filter $(distrel), precise trusty xenial))
+ifneq (,$(filter $(distrel), precise trusty xenial bionic))
   with_check = disabled for $(distrel)
 endif
 
@@ -160,6 +173,7 @@
 ifneq (,$(filter $(distrel), precise trusty))
   with_docs =
 endif
+# with_check = disabled for this upload
 
 with_wqy_zenhai = $(if $(filter $(distrel),lenny),,yes)
 
@@ -176,15 +190,14 @@
 any_archs = alpha amd64 armel armhf arm64 i386 ia64 mips mipsel mips64 mips64el powerpc powerpcspe ppc64 ppc64el m68k riscv64 sh4 sparc sparc64 s390x x32
 
 altzero_archs = $(hotspot_archs)
-#ifneq (,$(filter $(distrel),trusty))
-#  altzero_archs := $(filter-out arm64, $(altzero_archs))
-#endif
+ifneq (,$(filter $(distrel),trusty))
+  altzero_archs := $(filter-out arm64, $(altzero_archs))
+endif
+# ftbfs in 11.0.5+bx, and 13+17
+altzero_archs := $(filter-out armhf, $(altzero_archs))
 
 # FIXME: Zero currently FTBFS on sparc64 with gcc-9
 altzero_archs := $(filter-out sparc64, $(altzero_archs))
-
-# ftbfs in 11.0.5+bx, and 13+17
-altzero_archs := $(filter-out armhf, $(altzero_archs))
 
 ifneq (,$(filter noaltzero, $(DEB_BUILD_OPTIONS)))
   altzero_archs =
@@ -221,8 +234,3 @@
 # jdk/make/CompileDemos.gmk (SetupJVMTIDemo) doesn't like commas in flags
 dpkg_buildflags_hs += \
 	DEB_LDFLAGS_MAINT_STRIP="-Wl,-z,relro -Wl,-Bsymbolic-functions" \
-	DEB_LDFLAGS_MAINT_APPEND="-Xlinker -z -Xlinker relro -Xlinker -Bsymbolic-functions"
-dpkg_buildflags_hs += dpkg-buildflags
-export EXTRA_CPPFLAGS_HS := $(shell $(dpkg_buildflags_hs) --get CPPFLAGS)
-export EXTRA_CFLAGS_HS   := $(shell $(dpkg_buildflags_hs) --get CFLAGS; $(dpkg_buildflags_hs) --get CPPFLAGS)
-export EXTRA_CXXFLAGS_HS := $(shell $(dpkg_buildflags_hs) --get CXXFLAGS) -Wno-deprecated-declarations

=== debian/tests/control ===
Test-Command: java --version
Depends: openjdk-11-jre-headless
Restrictions: superficial

Test-Command: javac --version
Depends: openjdk-11-jdk-headless
Restrictions: superficial

Tests: hotspot, jaxp, langtools
Depends: @, default-jre-headless, jtreg6:native (>= 6+1-0~), testng:native, build-essential
Restrictions: allow-stderr, skippable, flaky

Tests: jdk
Depends: @, default-jre-headless, jtreg6:native (>= 6+1-0~), testng:native, build-essential, xfwm4:native, xvfb, dbus-x11, zip
Restrictions: allow-stderr, skippable, flaky

## openjdk-lts 11.0.18+10

=== debian/changelog ===
openjdk-lts (11.0.18+10-0ubuntu5) lunar; urgency=medium

  * d/control: add jtreg6 dependencies, regenerate control.
  * d/t/{jdk,hotspot,jaxp,lantools}: run tier1 and tier2 jtreg tests only,
    add test options from OpenJDK makefile.
  * d/t/*: fix test environment: add missing -nativepath (LP: #2001563).
  * d/t/jdk: provide dbus session for the window manager (LP: #2001576).
  * d/p/*: add patches for jtreg tests:
    - disable-thumb-assertion.patch: fix JDK-8305481.
    - update-assertion-for-armhf.patch: fix JDK-8305480.
    - log-generated-classes-test.patch: workaround JDK-8166162.
    - update-permission-test.patch: add security permissions for testng 7.
    - ldap-timeout-test-use-ip.patch, test-use-ip-address.patch: Ubuntu-specific
      patches to workaround missing DNS resolver on the build machines.
    - exclude_broken_tests.patch: quarantine failing tests.
  * d/rules: package external debug symbols (LP: #2015835).
  * drop d/p/{jaw-classpath.diff, jaw-optional.diff}: the atk wrapper is disabled
    and these patches cause class data sharing tests to fail (LP: #2016194).
  * d/p/exclude-broken-tests.patch: add OpenJDK 11 failures.
  * d/t/jtreg-autopkgtest.in: pass JTREG home to locate junit.jar, regenerate
    d/t/jtreg-autopkgtest.sh (LP: #2016206).
  * d/t/control.in: disable jtreg autopkgtests in line with openjdk 17,
    regenerate control (LP: #2016438).

 -- Vladimir Petko <vladimir.petko@canonical.com>  Fri, 14 Apr 2023 11:29:59 +1200

openjdk-lts (11.0.18+10-0ubuntu4) lunar; urgency=medium

  * d/p: drop obsolete patches (LP: #2011653).
    - workaround_expand_exec_shield_cs_limit.diff: obsoleted by
      hotspot-disable-exec-shield-workaround.diff.
    - generated-headers.patch: include is already added by openjdk makefile.
    - parallel-build-fix.diff: include is not necessary.
  * d/copyright, d/watch: implement uscan repackaging (LP: #2011749).
  * d/rules: use --with-debug-symbols=none (LP: #2003820).

 -- Vladimir Petko <vladimir.petko@canonical.com>  Thu, 16 Mar 2023 08:39:50 +1300

openjdk-lts (11.0.18+10-0ubuntu3) lunar; urgency=medium

  * debian/JB-jre-headless.postinst.in: trigger ca-certificates-java after jre
    is set up.

 -- Vladimir Petko <vladimir.petko@canonical.com>  Wed, 01 Mar 2023 16:55:33 +1300

openjdk-lts (11.0.18+10-0ubuntu2) lunar; urgency=medium

  * No-change rebuild, building on i386.

 -- Matthias Klose <doko@ubuntu.com>  Sun, 12 Feb 2023 11:21:50 +0100

openjdk-lts (11.0.18+10-0ubuntu1) lunar; urgency=medium

  * OpenJDK 11.0.18 release, build 10.
    - CVE-2023-21835, CVE-2023-21843
    - Release notes:
      https://www.oracle.com/java/technologies/javase/11-0-18-relnotes.html
  * debian/patches/*: Refreshed patches for the new release and dropped unused
    patches.
  * debian/watch: use jdk11u repository as upstream.
  * debian/rules: add lunar to jtreg version selection.

 -- Vladimir Petko <vladimir.petko@canonical.com>  Thu, 19 Jan 2023 21:24:22 +1300 

=== debian/rules ===
--- 
+++ 
@@ -97,7 +97,7 @@
 endif
 jvmver		= 1.11.0
 shortver	= 11
-v_debian	:= $(shell echo $(PKGVERSION) | sed 's/ea//')
+v_debian	:= $(shell echo $(PKGVERSION) | sed 's/ea//' | sed 's/\~us[[:digit:]]\+//')
 v_upstream	:= $(shell echo $(v_debian) | sed 's/-[^-][^-]*$$//')
 v_pkgrel	:= $(shell echo $(v_debian) | sed 's/^.*-//')
 # FIXME. currently v_upstream like 11~4
@@ -151,7 +151,7 @@
   NJOBS = $(subst parallel=,,$(filter parallel=%,$(subst $(COMMA), ,$(DEB_BUILD_OPTIONS))))
 endif
 
-ifneq (,$(filter $(distrel), focal jammy kinetic))
+ifneq (,$(filter $(distrel), focal jammy kinetic lunar))
   jtreg_pkg = jtreg6
 else ifneq (,$(filter $(distrel), sid bookworm bullseye))
   jtreg_pkg = jtreg
@@ -165,7 +165,7 @@
   with_check = disabled running check on $(DEB_HOST_ARCH)
 endif
 # no jtreg backport yet
-ifneq (,$(filter $(distrel), precise trusty xenial bionic))
+ifneq (,$(filter $(distrel), precise trusty xenial))
   with_check = disabled for $(distrel)
 endif
 
@@ -233,4 +233,3 @@
 	DEB_CXXFLAGS_MAINT_APPEND="-fno-stack-protector -Wno-deprecated-declarations$(if $(filter $(DEB_HOST_ARCH), armel armhf), -fpermissive)"
 # jdk/make/CompileDemos.gmk (SetupJVMTIDemo) doesn't like commas in flags
 dpkg_buildflags_hs += \
-	DEB_LDFLAGS_MAINT_STRIP="-Wl,-z,relro -Wl,-Bsymbolic-functions" \

## openjdk-lts 11.0.19%2B7~us1

=== debian/control ===
--- 
+++ 
@@ -7,10 +7,10 @@
 Build-Depends: debhelper (>= 11),
   m4, lsb-release, zip, unzip,
   sharutils, gawk, cpio, pkg-config, procps, wdiff, fastjar (>= 2:0.96-0ubuntu2),
-  time, strip-nondeterminism, 
-  jtreg6 (>= 6+1-0~) <!nocheck>, testng <!nocheck>, xvfb <!nocheck>, xauth <!nocheck>, xfonts-base <!nocheck>, libgl1-mesa-dri [!x32] <!nocheck>, xfwm4 <!nocheck>, x11-xkb-utils <!nocheck>, dbus-x11 <!nocheck>,
+  time,  
+  jtreg6 (>= 6+1-0~) <!nocheck>, libtestng7-java <!nocheck>, xvfb <!nocheck>, xauth <!nocheck>, xfonts-base <!nocheck>, libgl1-mesa-dri [!x32] <!nocheck>, xfwm4 <!nocheck>, x11-xkb-utils <!nocheck>, dbus-x11 <!nocheck>, libasmtools-java <!nocheck>, googletest <!nocheck>, google-mock <!nocheck>, xvfb  <!nocheck>,
   autoconf, automake, autotools-dev, ant, ant-optional,
-  g++-9 <!cross>,
+  g++-8 <!cross>,
   openjdk-11-jdk-headless:native | openjdk-10-jdk-headless:native,
   libxtst-dev, libxi-dev, libxt-dev, libxaw7-dev, libxrender-dev, libcups2-dev, libasound2-dev, liblcms2-dev, libfreetype6-dev (>= 2.2.1), libxinerama-dev, libkrb5-dev, xsltproc, libpcsclite-dev, libxrandr-dev, libelf-dev, libfontconfig1-dev, libgtk2.0-0 | libgtk-3-0, libharfbuzz-dev,
   libffi-dev,

=== debian/watch ===
version=4
opts=\
repack,\
compression=xz,\
repacksuffix=~us1,\
dversionmangle=s/~\d*\~us\d*$/\+\d*/, \
 https://github.com/openjdk/jdk11u/tags \
   (?:.*?/)?jdk-(\d[\d.]*\+\d[\d]*)\.tar\.gz

## openjdk-lts 11.0.19+7~us1

=== debian/changelog ===
openjdk-lts (11.0.19+7~us1-0ubuntu1~22.10.1) kinetic-security; urgency=medium

  * Upload to Ubuntu 22.10.

 -- Vladimir Petko <vladimir.petko@canonical.com>  Wed, 10 May 2023 09:03:48 +1200

openjdk-lts (11.0.19+7~us1-0ubuntu1) mantic; urgency=medium

  * OpenJDK 11.0.19 release, build 7.
    - CVE-2023-21930, CVE-2023-21937, CVE-2023-21938, CVE-2023-21939,
      CVE-2023-21954, CVE-2023-21967, CVE-2023-21968.
    - Release notes:
      https://mail.openjdk.org/pipermail/jdk-updates-dev/2023-April/021900.html
    - d/p/*: refresh patches.
  * d/rules: pack external debug symbols with build-id, do not pack duplicate
    symbols, do not strip JVM shared libraries (LP: #2012326, LP: #2016739).
  * d/rules: always use jtreg6.

 -- Vladimir Petko <vladimir.petko@canonical.com>  Thu, 20 Apr 2023 14:25:28 +1200

=== debian/control ===
--- 
+++ 
@@ -7,10 +7,10 @@
 Build-Depends: debhelper (>= 11),
   m4, lsb-release, zip, unzip,
   sharutils, gawk, cpio, pkg-config, procps, wdiff, fastjar (>= 2:0.96-0ubuntu2),
-  time,  
+  time, strip-nondeterminism, debugedit (>= 4.16),
   jtreg6 (>= 6+1-0~) <!nocheck>, libtestng7-java <!nocheck>, xvfb <!nocheck>, xauth <!nocheck>, xfonts-base <!nocheck>, libgl1-mesa-dri [!x32] <!nocheck>, xfwm4 <!nocheck>, x11-xkb-utils <!nocheck>, dbus-x11 <!nocheck>, libasmtools-java <!nocheck>, googletest <!nocheck>, google-mock <!nocheck>, xvfb  <!nocheck>,
   autoconf, automake, autotools-dev, ant, ant-optional,
-  g++-8 <!cross>,
+  g++-11 <!cross>,
   openjdk-11-jdk-headless:native | openjdk-10-jdk-headless:native,
   libxtst-dev, libxi-dev, libxt-dev, libxaw7-dev, libxrender-dev, libcups2-dev, libasound2-dev, liblcms2-dev, libfreetype6-dev (>= 2.2.1), libxinerama-dev, libkrb5-dev, xsltproc, libpcsclite-dev, libxrandr-dev, libelf-dev, libfontconfig1-dev, libgtk2.0-0 | libgtk-3-0, libharfbuzz-dev,
   libffi-dev,

## openjdk-lts 11.0.20+8

=== debian/changelog ===
openjdk-lts (11.0.20+8-1ubuntu1) mantic; urgency=high

  * OpenJDK 11.0.20 release, build 8.
    - CVE-2023-22041, CVE-2023-25193, CVE-2023-22045,
      CVE-2023-22049, CVE-2023-22036, CVE-2023-22006.
    - Release notes:
      https://www.oracle.com/java/technologies/javase/11-0-20-relnotes.html#R11_0_20

  * Merge changes from 11.0.20+8-1:
  * Link with --no-as-needed. Closes: #1031521.
  * Provide versioned java-runtime, java-runtime-headless, java-sdk
    and java-sdk-headless virtual packages (Emmanuel Bourg).
  * Configure --with-stdc++lib=static on ia64.
  * Bump standards version.
  * Refresh patches.

  [ Vladimir Petko ]
  * debian/copyright: convert to a machine-readable format.
   debian/copyright: align excludes statement with openjdk-17.

 -- Pushkar Kulkarni <pushkar.kulkarni@ubuntu.com>  Wed, 19 Jul 2023 10:45:13 +0200
